Bug 262008 - configuration option "Show In Media Sources" applies only after track switch
Summary: configuration option "Show In Media Sources" applies only after track switch
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Current Track (show other bugs)
Version: 2.4-GIT
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-03 22:35 UTC by Alexander Potashev
Modified: 2011-05-30 22:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2011-01-03 22:35:28 UTC
Version:           2.4-GIT (using KDE 4.5.90) 
OS:                Linux



Reproducible: Always

Steps to Reproduce:
1. add applet "Current Track"
2. start playing a track
3. click right mouse button -> configure widget ...
4. toggle (enable or disable) "Show In Media Sources"
5. click OK in the applet configuration dialog
6. the number of buttons in the applet does not changes (if you disable that option, 4 buttons should go away!)
7. start playing another track, those buttons go away or appear (as expected)



OS: Linux (x86_64) release 2.6.37-rc5-00062-g6313e3c
Compiler: x86_64-pc-linux-gnu-gcc

Amarok build date: Dec 30 2010
Comment 1 Sven Krohlas 2011-05-30 22:02:13 UTC
Confirmed in git master as of now.
Comment 2 Sven Krohlas 2011-05-30 22:37:42 UTC
Git commit b5fff5525af1c85164b0d56282790318f65e1438 by Sven Krohlas.
Committed on 30/05/2011 at 22:35.
Pushed by krohlas into branch 'master'.

Make current track applet react to config changes immediately.

BUG: 262008
FIXED-IN: 2.4.2

M  +2    -2    src/context/applets/currenttrack/CurrentTrack.cpp     

http://commits.kde.org/amarok/b5fff5525af1c85164b0d56282790318f65e1438